# CitizenNationality

### Output

| Attribute                                             | Type   | Description                                                |
| ----------------------------------------------------- | ------ | ---------------------------------------------------------- |
| [*certificateCitizenData*](#certificate-citizen-data) | object | Object used to store foreigner data.                       |
| *dataSetType*                                         | number | Internal id of chosen data set. In this case it will be 7. |
| *requestId*                                           | string | Id of the request in UUID format                           |
| *recipientId*                                         | string | External id                                                |

### Certificate Citizen Data

|           |        |                                                         |
| --------- | ------ | ------------------------------------------------------- |
| *names*   | string | Names of the foreigner                                  |
| *surname* | string | Surname of the foreigner                                |
| pesel     | string | Pesel of the foreigner                                  |
| *dn*      | string | Details of foreigner's certificate used to release data |
| *country* | string | Country of the foreigner                                |

### Output Example

```
{
    "certificateCitizenData": {
        "names": "KONSTANTYILDEFONS",
        "surname": "GACZYSKI",
        "pesel": "87031394418",
        "dn": "C=UA,SERIALNUMBER=PNOPL-87031394418,SURNAME=GACZYSKI,GIVENNAME=KONSTANTYILDEFONS,CN=KONSTANTY ILDEFONS GACZYSKI",
        "country": "UA"
    },
    "dataSetType": 3000,
    "requestId": "6d3e18ba-f1cc-472e-93c8-49657c575888",
    "recipientId": "5"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/mobywatel/citizennationality.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
